#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		majorminor	1.0
%define		appbase		gstreamer
#-----------------------------------------------------------------------------
Name		:	gst-plugins-bad
Version		:	1.24.7
Release		:	17.0.10.rel%{?dist}
Summary		:	GStreamer, a framework for streaming media, "bad" plug-ins.

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://gstreamer.freedesktop.org/src/gst-plugins-base/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gobject-introspection
BuildRequires	:	gstreamer		>= %{version}
BuildRequires	:	gst-plugins-base	>= %{version}
BuildRequires	:	gtk3+
BuildRequires	:	libva-devel

#-----------------------------------------------------------------------------
%description
GStreamer is a streaming media framework, based on
graphs of elements which operate on media data.
	
This package contains plug-ins that aren't tested
well enough, or the code is not of good enough quality.
 
#-----------------------------------------------------------------------------
%files			-f %{name}-%{majorminor}.lang
%defattr(-,root,root,-)
%{_bindir}/gst-transcoder-1.0
%{_bindir}/playout
%{_libdir}/gstreamer-1.0/libgst*.so
%{_libdir}/libgst*.so.*
%{_libdir}/girepository-1.0/Gst*-1.0.typelib
%{_libdir}/girepository-1.0/CudaGst*-1.0.typelib
%{_datadir}/gstreamer-1.0/encoding-profiles/device/dvd.gep
%{_datadir}/gstreamer-1.0/encoding-profiles/file-extension/*.gep
%{_datadir}/gstreamer-1.0/encoding-profiles/online-services/youtube.gep
%{_datadir}/gstreamer-1.0/presets/GstFreeverb.prs

#=============================================================================
%package		devel
Summary		:	Development files for the GStreamer media framework "bad" plug-ins

#-----------------------------------------------------------------------------
BuildRequires	:       gst-plugins-base
BuildRequires	:       wayland-protocols

Requires	:       %{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
	
GStreamer is a streaming media framework, based on graphs of elements which
operate on media data.
This package contains the development files for the plug-ins that
aren't tested well enough, or the code is not of good enough quality.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/gstreamer-1.0/gst/audio/*.h
%{_includedir}/gstreamer-1.0/gst/analytics/*.h
%{_includedir}/gstreamer-1.0/gst/basecamerabinsrc/*.h
%{_includedir}/gstreamer-1.0/gst/codecparsers/*.h
%{_includedir}/gstreamer-1.0/gst/cuda/*.h
%{_includedir}/gstreamer-1.0/gst/insertbin/*.h
%{_includedir}/gstreamer-1.0/gst/interfaces/*.h
%{_includedir}/gstreamer-1.0/gst/isoff/*.h
%{_includedir}/gstreamer-1.0/gst/mpegts/*.h
%{_includedir}/gstreamer-1.0/gst/mse/*.h
%{_includedir}/gstreamer-1.0/gst/play/*.h
%{_includedir}/gstreamer-1.0/gst/player/*.h
%{_includedir}/gstreamer-1.0/gst/transcoder/*.h
%{_includedir}/gstreamer-1.0/gst/uridownloader/*.h
%{_includedir}/gstreamer-1.0/gst/va/*.h
%{_includedir}/gstreamer-1.0/gst/sctp/*.h
%{_includedir}/gstreamer-1.0/gst/wayland/*.h
%{_includedir}/gstreamer-1.0/gst/webrtc/*.h
%{_libdir}/libgst*.so
%{_libdir}/pkgconfig/gstreamer-*-1.0.pc
%{_datadir}/gir-1.0/Gst**-1.0.gir
%{_datadir}/gir-1.0/CudaGst**-1.0.gir

#=============================================================================
%prep
%setup 

#-----------------------------------------------------------------------------
#building application
%build

%define	gstname	"GStreamer Base Plugins %{version} Osukiss"
%define	gstorig	"https://gstreamer.freedesktop.org/src/gstreamer"

meson	setup						\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--wrap-mode=nodownload				\
	-D buildtype=release				\
	-D package-origin=%{gstorig}			\
	-D package-name=%{gstname}			\
	_bld


meson	compile						\
	-C _bld
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson	install						\
	-C _bld						\
	--destdir=%{buildroot}

%find_lang %{name}-%{majorminor}

#-----------------------------------------------------------------------------
%changelog
